Name:           gds2pov
Version:        0.20070815
Release:        1%{?dist}
Summary:        GDS2 layout file to POV-Ray conversion

Group:          Applications/Engineering
License:        GPLv2
URL:            http://www.atchoo.org/gds2pov/
Source0:        http://www.atchoo.org/gds2pov/files/gdsto3d-20070815.tar.bz2
Patch0:         gdsto3d-20070815-lib64.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libX11-devel mesa-libGLU-devel cmake


%description
GDS2POV is a program to take a GDS2 layout file
and output a POV-Ray scene description file of
the GDS2 data. This allows the creation of
attractive 3D pictures of a layout.

GDS2POV is mostly used by VLSI designers.


%package devel
Summary:         Development files for the GDS2POV
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}


%description devel
Development files for GDS2POV


%prep
%setup -q -n gdsto3d-20070815
%patch0 -p0 -b .64

%build
cd build

%cmake ..
%{__make} %{?_smp_mflags} VERBOSE=1


%install
cd build
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

%{__rm} -rf %{buildroot}%{_datadir}/gdsto3d/

%clean
%{__rm} -rf %{buildroot}


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING todo.txt readme.txt changes.txt
%doc example_config.txt example.gds example_process.txt example.cmd
%{_bindir}/%{name}
%{_bindir}/gds2svg
%{_bindir}/gdsoglviewer
%{_libdir}/libgdsto3d.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/libgdsto3d.so


%changelog
* Sun Aug 26 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070815-1
- New upstream release

* Wed Aug 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070426-2
- fixes the license

* Sat Jul 14 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.20070426-1
- Initial Package